Bug 529181 - Review Request: nautilus-flickr-uploader - Simple GUI to upload pics to Flickr
Review Request: nautilus-flickr-uploader - Simple GUI to upload pics to Flickr
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-10-15 07:35 EDT by Juan J. Martínez
Modified: 2011-01-05 15:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-05 14:34:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Juan J. Martínez 2009-10-15 07:35:29 EDT
Spec URL: http://jjmartinez.fedorapeople.org/packages/SPECS/nautilus-flickr-uploader.spec
SRPM URL: http://jjmartinez.fedorapeople.org/packages/SRPMS/nautilus-flickr-uploader-0.04-1.fc11.src.rpm
Description: 

Nautilus Flickr Uploader is a simple GUI for uploading pictures to Flickr from the Nautilus file browser (although it should also work with KDE).

This is my first package, so I need a sponsor.
Comment 1 Arun S A G 2009-10-20 09:58:19 EDT
Hi,
i tried to rebuild the src rpm in my machine, i get

bash-4.0$ rpmbuild --rebuild nautilus-flickr-uploader-0.04-1.fc11.src.rpm 
Installing nautilus-flickr-uploader-0.04-1.fc11.src.rpm
warning: user reidrac does not exist - using root
warning: group reidrac does not exist - using root
warning: user reidrac does not exist - using root
warning: group reidrac does not exist - using root
error: Failed build dependencies:
	perl(Gtk2::GladeXML) is needed by nautilus-flickr-uploader-0.04-1.fc11.src
	perl(Flickr::API) is needed by nautilus-flickr-uploader-0.04-1.fc11.src
	perl(XML::Parser::Lite::Tree) is needed by nautilus-flickr-uploader-0.04-1.fc11.src
bash-4.0$ 

However koji build was success full: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=1756610
Comment 2 Juan J. Martínez 2009-10-20 13:24:10 EDT
I'm sorry but I'm a newbie and I'll need further help. In my environment it builds flawlessly :(

Should you install the dependencies before build, shouldn't you?
Comment 3 Arun S A G 2009-10-20 13:50:14 EDT
Yes, thats my mistake, i will have to install those dependencies manually as i am not using mock :)

Packages that are to be installed can be found using koji's root log ( http://koji.fedoraproject.org/koji/getfile?taskID=1756611&name=root.log );

Though its not mandatory, do check by building your packages with koji build system.

Use:

koji build --arch-override=PLATFORM --scratch TARGET /path/to/local.built.src.rpm

Where,
    PLATFORM is i386/x86_64/ppc/ppc64. If none is specified, it builds for all platforms supported by the .spec file.

    TARGET is dist-f10 (for Fedora 10).
Comment 4 Chris Tyler 2010-01-21 14:59:01 EST
Informal review (non-sponsor) results:

Must:

N    * MUST: rpmlint must be run on every package. The output should be posted in the review.[1]
---> Not included in review (but checks out OK)

Y    * MUST: The package must be named according to the Package Naming Guidelines .
Y    * MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
Y    * MUST: The package must meet the Packaging Guidelines .
Y    * MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
Y    * MUST: The License field in the package spec file must match the actual license. [3]
Y    * MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
Y    * MUST: The spec file must be written in American English. [5]
Y    * MUST: The spec file for the package MUST be legible. [6]
Y    * MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
Y    * MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
?    * MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
---> Did not check

Y    * MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
NA   * MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
NA   * MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
Y    * MUST: Packages must NOT bundle copies of system libraries.[11]
NA   * MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
Y    * MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
Y    * MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [14]
Y    * MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
Y    * MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [16]
N    * MUST: Each package must consistently use macros. [17]
---> Inconsistent use of $ and % 
---> Consider using the %{name} macro in the %{bindir}/... line in %files

Y    * MUST: The package must contain code, or permissable content. [18]
NA   * MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [19]
NA   * MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [19]
NA   * MUST: Header files must be in a -devel package. [20]
NA   * MUST: Static libraries must be in a -static package. [21]
NA    * MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). [22]
NA  * MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [20]
NA  * MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [23]
NA  * MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[21]
Y   * MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [24]
Y   * MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [25]
Y   * MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [26]
Y   * MUST: All filenames in rpm packages must be valid UTF-8. [27]

Should:

NA #  SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [28]
NA # SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [29]
Y (i386) # SHOULD: The reviewer should test that the package builds in mock. [30]
Not tested # SHOULD: The package should compile and build into binary rpms on all supported architectures. [31]
Y (Cursory) # SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
N # SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [32]
---> The %post scriptlet sed substitutions should be done during package creation rather than at install time.

NA # SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [23]
NA # SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [22]
NA - Used capabilities instead of files. # SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [33]
NA # SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[34]
---> Man pages are probably not needed for this app. Note though that the use of this tool is non-intuitive, e.g., using "Open with" where "nautilus-" in the package name would seem to imply an extension to Nautilus' functionality, e.g., an extra entry on the right-click menu or an option in the "Send To" dialog.
Comment 5 Jason Tibbitts 2010-02-25 13:23:45 EST
Would be nice to see some response to the above commentary.  Otherwise I guess I'll close this ticket soon.
Comment 6 Juan J. Martínez 2010-02-25 13:29:55 EST
I've been busy moving to another country, I'll try to update the ticket ASAP.

I can open a new ticket later, though. So no big deal.
Comment 7 Juan J. Martínez 2010-02-28 09:06:26 EST
Spec URL:
http://jjmartinez.fedorapeople.org/packages/SPECS/nautilus-flickr-uploader.spec
SRPM URL:
http://jjmartinez.fedorapeople.org/packages/SRPMS/nautilus-flickr-uploader-0.05-1.fc12.src.rpm
Description: 

Nautilus Flickr Uploader is a simple GUI for uploading pictures to Flickr from
the Nautilus file browser (although it should also work with KDE).

* rpmlint output:

rpmlint nautilus-flickr-uploader-0.05-1.fc12.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint nautilus-flickr-uploader-0.05-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

* changes:

 - sync with upstream
 - FIX: using %{name} macro in the %{bindir} in the %files section

Regarding "The %post scriptlet sed substitutions should be done during package creation rather than at install time", I don't know how to fix it because until the package isn't installed I can't be sure of the value of %{_datadir} macro. I've used 'sed' in the %post section after checking other specs files.


This is my first package, so I need a sponsor.
Comment 8 Thomas Kowaliczek 2010-03-28 20:03:20 EDT
I will review it this week. Maybe my sponsor will sponsor you too.
Comment 9 Thomas Kowaliczek 2010-04-01 10:20:17 EDT
Chris will you bring the review to the end?
Comment 10 Thomas Kowaliczek 2010-07-25 20:49:31 EDT
Any new here?
Comment 11 Juan J. Martínez 2010-08-01 06:06:00 EDT
Thomas: that's a good question :)

I'm working in a new upstream release, and most likely I will update this ticket. But to be honest, I don't know if it's worth it. I'll keep releasing a RPM in the project page anyway, and I feel that if someone takes over this request it'll get more attention than now.

I'd like to see that software included in Fedora and I don't matter who's the package maintainer.
Comment 12 Juan J. Martínez 2010-08-08 05:57:44 EDT
OK, sync with upstream (release 0.06).

Spec URL:
http://jjmartinez.fedorapeople.org/packages/SPECS/nautilus-flickr-uploader.spec
SRPM URL:
http://jjmartinez.fedorapeople.org/packages/SRPMS/nautilus-flickr-uploader-0.06-1.fc12.src.rpm
Description: 

Nautilus Flickr Uploader is a simple GUI for uploading pictures to Flickr from
the Nautilus file browser (although it should also work with KDE).

* rpmlint output:

rpmlint RPMS/noarch/nautilus-flickr-uploader-0.06-1.fc12.noarch.rpm 
nautilus-flickr-uploader.noarch: W: no-manual-page-for-binary nautilus-flickr-uploader
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint SRPMS/nautilus-flickr-uploader-0.06-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

* changes:
 - sync to upstream 0.06
 - Gtk2::Ex::Simple::List instead of deprecated Gtk2::SimpleList
 - added translations

rmpling warning about man page it's new, and the package doesn't have a man page.

This is my first package, so I need a sponsor.
Comment 13 Juan J. Martínez 2010-08-27 12:30:08 EDT
Sync with upstream (release 0.07).

Spec URL:
http://jjmartinez.fedorapeople.org/packages/SPECS/nautilus-flickr-uploader.spec
SRPM URL:
http://jjmartinez.fedorapeople.org/packages/SRPMS/nautilus-flickr-uploader-0.07-1.fc12.src.rpm

Description: 

Nautilus Flickr Uploader is a simple GUI for uploading pictures to Flickr from
the Nautilus file browser (although it should also work with KDE).

* rpmlint output:

rpmlint RPMS/noarch/nautilus-flickr-uploader-0.07-1.fc12.noarch.rpm 
nautilus-flickr-uploader.noarch: W: no-manual-page-for-binary nautilus-flickr-uploader
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint SRPMS/nautilus-flickr-uploader-0.07-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

* changes:
 - sync to upstream 0.07

This is my first package, so I need a sponsor.
Comment 14 Juan J. Martínez 2010-11-06 09:58:29 EDT
Sync with upstream (release 0.08), and packages for Fedora 14.

Spec URL:
http://jjmartinez.fedorapeople.org/packages/SPECS/nautilus-flickr-uploader.spec
SRPM URL:
http://jjmartinez.fedorapeople.org/packages/SRPMS/nautilus-flickr-uploader-0.08-1.fc14.src.rpm

Description: 

Nautilus Flickr Uploader is a simple GUI for uploading pictures to Flickr from
the Nautilus file browser (although it should also work with KDE).

* rpmlint output:

$ rpmlint nautilus-flickr-uploader-0.08-1.fc14.noarch.rpm
nautilus-flickr-uploader.noarch: W: no-manual-page-for-binary nautilus-flickr-uploader
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint nautilus-flickr-uploader-0.08-1.fc14.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings

* changes:
 - sync to upstream 0.08

This is my first package, so I need a sponsor. Thanks!

I've used Koji for building packages for F12 & F13 as well, and I've setup a repo in the project website.
Comment 15 Thomas Kowaliczek 2010-11-06 20:46:51 EDT
Sorry but i´m not using fedora anymore i can´t do an review of it.
Comment 16 Jason Tibbitts 2010-12-26 10:15:56 EST
Seems this just dropped back into the review queue.  I don't know why Thomas ever had it assigned to himself as he's not a sponsor (unless he used to be, but I don't recall a vote about that).

In any case, time for the usual questions:

Juan, did you still wish to submit this package?  (I assume so, since you've updated it recently.)

Have you read https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group ?

What other review work have you done?
Comment 17 Juan J. Martínez 2010-12-26 10:58:31 EST
Jason: to be honest with you, I don't think I deserve to be a Fedora packager.

After more than one year I've continued updating this request because I'm providing the Fedora package myself in project's page (as I do for other projects I'm involved in, thanks to Koji infrastructure I try to maintain a packaged for a couple of releases), but I don't think that I have the knowledge to be a "fedora package maintainer" because it means a wider understanding of the packaging process and I think I've just scratched the surface with the specifics of this and a couple of packages.

This package it's probably OK, and this ticket has helped me to learn few things about the process. It would be great that the software was included in Fedora, but after all this time I don't have the information fresh enough in my head and I feel like it would be cheating to be accepted as a package maintainer.
Comment 18 Jason Tibbitts 2011-01-04 18:21:54 EST
I'm not really sure what to tell you.  We can close this ticket if you don't want to move forward; anyone who might need it in the future can still find this ticket in a search.  And if you do want to pick it up in the future, you can just reopen it.

Or you can continue to pursue this, do some review work, and try to attract the attention of a sponsor.

What would you like to do?
Comment 19 Juan J. Martínez 2011-01-05 14:34:25 EST
I withdraw my review request.

It's been more than a year since I opened this ticket and my personal situation at the moment has changed (and it's quite busy). I feel slightly disappointed with the whole process, but anyway I'll try to join the Fedora packaging forces in the future when my day to day is less crazy.

Note You need to log in before you can comment on or make changes to this bug.